@charset "utf-8";
/* CSS Document */

/* PC時からハンバーガーメニューの場合は#sp_boxのみ削除  */
#open_menu {
	display:none;
}

#sp_box.is-reached #spicon span{
	border-color: #333
	
}
/*****************************************************************

	色の設定

******************************************************************/
/* ハンバーガーメニューの線 */
#spicon span{
	border-bottom:2px solid #FFF;
}
/* ハンバーガーメニュー【MENU】のテキスト色（いらない場合はdisplay:none;） */
#spicon:before{
	display: none;
}
/* 開閉後、ハンバーガーメニューの色を変更する場合 */
#spicon.m_active span:nth-child(1) {
    /*border-color: #FFF;*/
}
#spicon.m_active span:nth-child(3) {
    /*border-color: #FFF;*/
}
#spicon.m_active:before {
    /*color: #FFF;*/
}
/* 開閉後の背景の色 */
#center_box {
	/*background: url("../images/sp_bg.webp") 50% 0/cover no-repeat;*/
	background-color: #82a797;
}

/**************************************
	ハンバーガーアイコン
***************************************/

#spicon {
	position:fixed;
	right:40px;
	top:30px;
	background-position:50% 0;
	background-repeat:no-repeat;
	background-size:cover;
	width:60px;
	height:30px;
    padding: 0;
    
	z-index:9999;
	cursor:pointer;
    display: flex;
    flex-direction: column;
    justify-content: space-between;

}
#spicon:before {
    content: "MENU";
    position: absolute;
    bottom: -20px;
    left: 0;
    width: 100%;
    text-align: center;
    font-size: 12px;
	transition: all .4s;
}
#spicon span {
	width:100%;
	margin-left: auto;
	transition: all .3s;
}
#spicon span:nth-child(1) {
	width:60px;
}
#spicon span:nth-child(2) {
	width:40px;
}
#spicon span:nth-child(3) {
	width:20px;
}
#spicon:hover span {
	width:100%;
}

/* ボタンを押した後のボタンのスタイル */
#spicon.m_active span:nth-child(1) {
    transform: translateY(8px) rotate(-30deg);
	width: 60px;
}

#spicon.m_active span:nth-child(2) {
	opacity:0;
	width: 60px;
}

#spicon.m_active span:nth-child(3) {
    transform: translateY(-19px) rotate(-150deg);
	width: 60px;
}
#spicon.m_active:before {
    content: "CLOSE";
}

/**************************************
	メニューオープン
***************************************/
#open_menu {
	background-position:50% 0;
	background-repeat:no-repeat;
	background-size:cover;
	position:fixed;
	z-index:9990;
	top:0;
	left:0;
	width:100%;
}
/***********/
#center_box {
	position:fixed;
	left:0;
	top:0;
	width:100%;
	margin:0;
	height:100%;
	display:flex;
	justify-content: center;
	align-items: center;
	overflow-y:scroll;
	padding:100px 0;
}
/**************************************
	MENUの中身
***************************************/

/* スマートフォン 縦(ポートレート) */
.sp_menu {
    display: flex;
    justify-content: space-between;
    column-gap: 20px;
}
.sp_menu a {
    color: #FFF;
    transition: 0.3s ease;
}
.sp_menu a:hover {
    color: #0a1c2c;
}
.sp_menu ul {
    display: flex;
    flex-direction: column;
    gap: 60px;
}
.sp_menu .eng {
    font-size: 14px;
}
.sp_menu .ja {
    font-size: 34px;
    margin-left: -3px;
}
@media only screen and (max-width: 1024px) {
	#center_box {
		display:block;
		padding:100px 0;
	}
    .sp_menu {
        flex-wrap: wrap;
        gap: 60px;
        max-width: 700px;
        margin: 0 auto;
    }
    .sp_menu ul {
        width: 100%;
    }
}
@media only screen and (max-width: 768px) {
	#center_box {
		padding:110px 0;
	}
    .sp_menu {
        gap: 40px;
    }
    .sp_menu ul {
        gap: 40px;
    }
    .sp_menu .eng {
        font-size: 14px;
    }
    .sp_menu .ja {
        font-size: 30px;
        margin-left: -3px;
    }
}

